"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissingComponent = void 0;
const vue_1 = require("vue");
exports.MissingComponent = (0, vue_1.defineComponent)({
    props: {
        rendering: {
            type: Object,
            default() {
                return undefined;
            },
        },
    },
    render() {
        const { rendering } = this.$props;
        const componentName = rendering && rendering.componentName ? rendering.componentName : 'Unnamed Component';
        console.log(`Component props for unimplemented '${componentName}' component`, this.$props);
        return (0, vue_1.h)('div', {
            style: {
                background: 'darkorange',
                outline: '5px solid orange',
                padding: '10px',
                color: 'white',
                maxWidth: '500px',
            },
        }, [
            (0, vue_1.h)('h2', componentName),
            (0, vue_1.h)('p', 'JSS component is missing Vue implementation. See the developer console for more information.'),
        ]);
    },
});
